aboutsummaryrefslogtreecommitdiff
path: root/plugins/tpm/bin/update_plugins
diff options
context:
space:
mode:
authorCody Hiar <codyfh@gmail.com>2017-02-13 09:54:26 -0700
committerCody Hiar <codyfh@gmail.com>2017-02-13 09:54:26 -0700
commit783ab79ab721593b0ac85ab4d8ea9b74fa5fe72e (patch)
tree03ac1d680ab401874ed95a78887c56d6eb268a61 /plugins/tpm/bin/update_plugins
parent2eede125238144e9d37cf856aaaeda3c5de5aab3 (diff)
Adding tpm
Diffstat (limited to 'plugins/tpm/bin/update_plugins')
-rwxr-xr-xplugins/tpm/bin/update_plugins24
1 files changed, 24 insertions, 0 deletions
diff --git a/plugins/tpm/bin/update_plugins b/plugins/tpm/bin/update_plugins
new file mode 100755
index 0000000..30a5646
--- /dev/null
+++ b/plugins/tpm/bin/update_plugins
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+# Script intended for use via the command line.
+#
+# `.tmux.conf` needs to be set for TPM. Tmux has to be installed on the system,
+# but does not need to be started in order to run this script.
+
+CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+SCRIPTS_DIR="$CURRENT_DIR/../scripts"
+PROGRAM_NAME="$0"
+
+if [ $# -eq 0 ]; then
+ echo "usage:"
+ echo " $PROGRAM_NAME all update all plugins"
+ echo " $PROGRAM_NAME tmux-foo update plugin 'tmux-foo'"
+ echo " $PROGRAM_NAME tmux-bar tmux-baz update multiple plugins"
+ exit 1
+fi
+
+main() {
+ "$SCRIPTS_DIR/update_plugin.sh" --shell-echo "$*" # has correct exit code
+}
+main "$*"
+